<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('hospitals', function (Blueprint $table) {
            $table->id();
            $table->string('speciality_id');
            $table->string('sub_speciality_id');
            $table->string('treatment_id');
            $table->string('name');
            $table->string('bed');
            $table->string('ambulance');
            $table->string('telephone');
            $table->string('website');
            $table->string('img');
            $table->string('country');
            $table->string('city');
            $table->string('address');
            $table->text('description');
            $table->LongText('long_description');
            $table->enum('status', ['1', '0']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('hospitals');
    }
};
